
From: Johannes Stezenbach <js@linuxtv.org>

prevent NULL pointer related Oopses (Patrick Boettcher)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/dib3000mb.c |    2 +-
 drivers/media/dvb/frontends/dib3000mc.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/frontends/dib3000mb.c~dvb-dib3000-add-null-pointer-check drivers/media/dvb/frontends/dib3000mb.c
--- 25/drivers/media/dvb/frontends/dib3000mb.c~dvb-dib3000-add-null-pointer-check	2005-05-09 18:01:04.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/dib3000mb.c	2005-05-09 18:01:04.000000000 -0700
@@ -61,7 +61,7 @@ static int dib3000mb_set_frontend(struct
 	fe_code_rate_t fe_cr = FEC_NONE;
 	int search_state, seq;
 
-	if (tuner) {
+	if (tuner && state->config.pll_addr && state->config.pll_set) {
 		dib3000mb_tuner_pass_ctrl(fe,1,state->config.pll_addr(fe));
 		state->config.pll_set(fe, fep, NULL);
 		dib3000mb_tuner_pass_ctrl(fe,0,state->config.pll_addr(fe));
diff -puN drivers/media/dvb/frontends/dib3000mc.c~dvb-dib3000-add-null-pointer-check drivers/media/dvb/frontends/dib3000mc.c
--- 25/drivers/media/dvb/frontends/dib3000mc.c~dvb-dib3000-add-null-pointer-check	2005-05-09 18:01:04.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/dib3000mc.c	2005-05-09 18:01:04.000000000 -0700
@@ -463,7 +463,7 @@ static int dib3000mc_set_frontend(struct
 	int search_state,auto_val;
 	u16 val;
 
-	if (tuner) { /* initial call from dvb */
+	if (tuner && state->config.pll_addr && state->config.pll_set) { /* initial call from dvb */
 		dib3000mc_tuner_pass_ctrl(fe,1,state->config.pll_addr(fe));
 		state->config.pll_set(fe,fep,NULL);
 		dib3000mc_tuner_pass_ctrl(fe,0,state->config.pll_addr(fe));
_
